api.botsubscription.com
GET /v1/endpoint
Authentication Bearer
Token
Stays in this tab. Required for this endpoint — the value below is what gets sent.
Request GET Response —
cURL Node Python PHP Go Ruby
Copy curl --request GET \
--url https://api.botsubscription.com/v1/endpoint \
--header 'Authorization: Bearer sk_live_•••'— — · — · —
Response will appear here.
Remove a subscription plan from your project. Existing members who purchased this plan keep their access until it expires, but no new subscriptions can be created for the deleted plan. This action cannot be undone.
DELETE /v2/projects/ {project_id} /plans/ {plan_id} CopyTry it Authorization Bearer Token Required
Path Parameters The unique identifier of the project.
The unique identifier of the plan to delete.
curl -X DELETE "https://api.botsubscription.com/v2/projects/YOUR_PROJECT_ID/plans/YOUR_PLAN_ID" \
-H "Authorization: Bearer YOUR_TOKEN" const project_id = 'YOUR_PROJECT_ID' ;
const plan_id = 'YOUR_PLAN_ID' ;
const response = await fetch ( `https://api.botsubscription.com/v2/projects/${ project_id }/plans/${ plan_id }` , {
method: 'DELETE' ,
headers: {
'Authorization' : 'Bearer YOUR_TOKEN'
}
});
// Returns 204 No Content on success import requests
project_id = 'YOUR_PROJECT_ID'
plan_id = 'YOUR_PLAN_ID'
response = requests.delete(
f 'https://api.botsubscription.com/v2/projects/ { project_id } /plans/ { plan_id } ' ,
headers = { 'Authorization' : 'Bearer YOUR_TOKEN' }
)
# Returns 204 No Content on success $project_id = 'YOUR_PROJECT_ID' ;
$plan_id = 'YOUR_PLAN_ID' ;
$ch = curl_init ();
curl_setopt ($ch, CURLOPT_URL , "https://api.botsubscription.com/v2/projects/{ $project_id }/plans/{ $plan_id }" );
curl_setopt ($ch, CURLOPT_CUSTOMREQUEST , ' DELETE ' );
curl_setopt ($ch, CURLOPT_HTTPHEADER , [ 'Authorization: Bearer YOUR_TOKEN' ]);
curl_setopt ($ch, CURLOPT_RETURNTRANSFER , true );
$response = curl_exec ($ch);
// Returns 204 No Content on success Plan deleted application/json
No content is returned on successful deletion.
Plan not found application/json
{
"ok" : false ,
"request_id" : "11111111-1111-1111-1111-111111111111" ,
"method" : "DELETE" ,
"path" : "/v2/projects/YOUR_PROJECT_ID/plans/YOUR_PLAN_ID" ,
"code" : 404 ,
"error" : {
"error_code" : "NOT_FOUND" ,
"message" : "Plan not found"
}
} Last updated: May 28, 2026
PreviousUpdate Plan Next List Memberships